@import "mixins";
@import "variables";



@media screen and (max-width: 1200px) {
    .header{
        &__info{
            img{
                @include icon-tablet;
            }
            a{
                @include info-style-desktop;
            }
            span{
                font-size: 14px;
            }
        }
        &__menu{
            &-list{
                ul li{
                    @include buttons-style-desktop;
                    margin: 0px 10px;

                }
            }
            &-logo{
                img{
                    width: 80px;
                    height: 80px;
                }
            }
        }
        &_title{

        }
    }
    .about{
        &__title{
            font-size: 30px;
        }
        &__box{
            &-title{
                font-size: 30px;
            }
            &-text{
                font-size: 14px;
            }
        }
    }
    .service{
        &__title{
            font-size: 30px;
        }
        &__item{
            img{
                width: 400px;
                height: 400px;
            }
        }
    }
    .reserve{
        &__title{
            font-size: 30px;
        }
    }
    .team{
        &__title{
            font-size: 30px;
        }
    }
    .contact{
        &__title{
            font-size: 30px;
        }
        &__info{
            &-text{
                font-size: 16px;
            }
            &-text{
                font-size: 14px;
            }
        }
        .contact{
            &__wrapper{
                form{
                    width: 80%;
                }
            }
        }

    }
    .slider .slick-arrow{
        display: none;
    }
    .slider .slick-dots li{
        display: flex;
        color: #fff;
        width: 10px;
        height: 10px;
    }

    .slick-dots {
        display: flex;
        justify-content: center;

    }
    .slick-dots ul, li{
        background: transparent;
        border: 1px solid $text-color;
        outline: none;
        border-radius: 50%;
        margin: 0 5px;
    }
    .slick-dots li.slick-active{
        background: $text-color;
    }
    .slick-dots button{
        display: none;
    }

}

@media screen and (max-width: 768px) {
    .header{
        &__info{
            span, a{
                font-size: 12px;
            }
        }
        &__menu{
            ul,li{
                font-size: 12px;
            }

        }
    }
    .about{
        &__title{
            width: 100%;
        }
    }
    .service{
        &__title{
            width: 100%;
            margin: 0;
        }
    }
    .team{
        &__title{
            width: 100%;
        }
    }
    .reserve{
        &__title{
            width: 100%;
        }
    }

}
@media screen and (max-width: 688px) {
    .header {
        &__info{
            flex-direction: column;
            span{
                padding: 5px 0;
            }
        }
        &__menu{
            &-list{
                position: fixed;
                top: 170px;
                left: -165px;
                z-index: 1;
                transition: all 0.5s;
                background: $bg-color;
                ul{
                    width: 166px;
                    display: flex;
                    flex-direction: column;
                    color: $text-color;
                    li{
                        border: none;
                        padding: 7px;
                    }
                }
            }
            &-list.active{
                ul{
                    align-items: flex-end;

                }
            }

            &-burger{
                position: absolute;
                left: 165px;
                top: 0;
                background: $bg-color;
                padding: 10px;
                border-radius: 5px;
                cursor: pointer;
                span{
                    display: block;
                    width: 20px;
                    height: 3px;
                    background-color: $white;
                    margin: 4px 0;
                }
            }

        }
        &__title{
            font-size: 30px;
            left: 10%;
            right: 10%;
        }

    }
    #header__menu-list.active{
       left: 0px;
    }



    .about{
        &__box{
            flex-direction: column;
        }
    }
    .reservation{
        &__wrapper{
            form{
                input, select, textarea{
                    width: 350px;
                }
            }

        }
    }


}
@media screen and (max-width: 490px) {
    .header{
        &__title{
            font-size: 20px;
            left: 10%;
            right: 10%;
        }
    }
        .contact{
            &__info{
                flex-direction: column;
                align-items: center;
            }
        }
    .team{
        &__item-social {
            justify-content: center;
            img{
                margin: 0px 10px;
            }
        }
    }
    .service{
        &__item{
            img{
                width: 300px;
                height: 300px;
            }
            &-title{
                font-size: 23px;
            }
        }
    }
    .reservation{
        &__wrapper{
            form{
                input, select, textarea{
                    width: 200px;
                }
            }

        }
    }
    .alert-danger{
        ul{
            li{
                width: 100%;
            }
        }
    }
    .alert-success{
        width: 100%;
    }
    .prices{
        table{
            padding: 10px;

        }
        td, tr, th {
            font-size: 18px;
        }

    }
}
@media screen and (max-width: 320px) {
    .header{

    }
    .about {
        &__box-description {
            padding: 0px;
        }
        &__box-text {
            margin: 10px;
            font-size: 12px;
        }
        &__box-title {
            font-size: 20px;
        }
        &__button{
            a{
                margin: 10px 0;
                padding: 10px;
            }
        }
    }
    .service{
        &__item{
            &-title{
                font-size: 18px;
                top: 39%;
                left: 20%;
            }
            img{
                width: 250px;
                height: 250px;
            }
        }
    }

    .contact{
        &__wrapper{
            margin: 0px;
            input.button {
                margin: 20px 0;
                width: 100%;
            }

        }
    }



}
